<!doctype html>
<html>
<head>
    <title>Tracking The Impact of the WhatsApp Blockage on Tor | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tracking The Impact of the WhatsApp Blockage on Tor | Tor Project">
    <meta property="og:description" content="On May 2, 2016, a Brazilian judge ordered cell phone carriers to block access to the messaging...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tracking-impact-whatsapp-blockage-tor/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tracking The Impact of the WhatsApp Blockage on Tor
      </h1>
    <p class="meta">by isabela | May 16, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>On May 2, 2016, a Brazilian judge ordered cell phone carriers to block access to the messaging service WhatsApp for 72 hours. The order applied to the whole nation of Brazil—100 million WhatsApp users. Worldwide, Internet censorship events happen frequently. They may occur in countries like Brazil or in oppressive regimes like Egypt or Saudi Arabia. We want to understand better what happens during these events.</p>

<p>If we can watch certain data points, we can observe, for instance, whether or not our tools are efficiently circumventing such blockages. The Tor Project has a set of tools that can help us learn these answers. We can not only identify whether a censorship event has happened, but see how it was accomplished by the censor, and observe if people are using our tool to bypass it.</p>

<p>The Open Observatory of Network Interference (OONI) is a Tor project focused on detecting censorship, surveillance, and traffic manipulation on the Internet. For the recent WhatsApp case, <a href="https://ooni.torproject.org/post/brazil-whatsapp-block/" rel="nofollow">OONI published a report</a> showing that the Brazilian mobile carriers blocked WhatsApp’s website through DNS hijacking.</p>

<p>OONI was able to determine this by running two tests on Brazil's network:<br />
•    <a href="https://github.com/TheTorProject/ooni-probe/blob/master/docs/source/tests/dnsconsistency.rst" rel="nofollow">DNS-consistency tests</a><br />
•    <a href="https://github.com/TheTorProject/ooni-probe/blob/master/docs/source/tests/http_requests.rst" rel="nofollow">HTTP-request tests</a></p>

<p>While OONI tests are not currently designed to directly test instant messaging (IM) protocols, OONI did monitor access to the WhatsApp website. This data allows us to analyze the censorship mechanisms used, and to determine if tools like Tor can bypass the block.</p>

<p>In this case, an Android user could download Orbot, a Tor proxy tool for Android, and successfully bypass the censorship with its VPN mode.</p>

<p><img src="https://extra.torproject.org/blog/2016-05-16-tracking-impact-whatsapp-blockage-tor/orbot-vpnmode.png" /></p>

<p>As soon as the blockade was announced, we began promoting key tips in Portuguese on social media and elsewhere to instruct Brazilians about how to bypass the WhatsApp blockage on Android with Orbot.</p>

<p>For Orbot statistics, we don't use Google Analytics or other system to track Orbot users, other than what Google Play can show us about installs and uninstalls. Based only on that, Orbot's active install for Brazil on May 1st was at 33,458. On May 2nd it went up to 41,333.</p>

<p>Taking a look at the number of downloads for Orbot in Brazil, we saw a 20% to 30% increase in the rate of downloading on those days.</p>

<p>There was a similar increase on the Tor network, where the average number of daily direct connected users for Brazil, went from ~50,000 to 60,000 in 24 hours.</p>

<p><img src="https://extra.torproject.org/blog/2016-05-16-tracking-impact-whatsapp-blockage-tor/br-meetrics.png" width="500" /></p>

<p>Our <a href="https://metrics.torproject.org/userstats-relay-country.html?start=2016-04-1&amp;end=2016-05-10&amp;country=br&amp;events=points" rel="nofollow">metrics.torproject.org</a> portal, which hosts data visualizations from our network, also caught the circumvention event. The little blue dot represents the fact that something is happening in the region. Is great to see that even for very sudden and short-lived actions (the block was lifted in Brazil after about 24 hours), we were still capable of capturing it in our data. You can read <a href="https://metrics.torproject.org/about.html" rel="nofollow">here</a> about how we do it and the precautions we take while collecting such data so we don't affect user privacy.</p>

<p>We know that we are talking about a small number of users in a world of 100 million, in the case of WhatsApp. There is still a lot of work to be done to help people become aware of such tools. However,  it is great to see our projects coming together to tell this story.</p>

<p>Our experience with the WhatsApp blockage in Brazil demonstrates the potential these efforts have to provide us with information about censorship events and to help us build circumvention mechanisms against them. </p>

<p>We are working hard on new features for these tools; for instance, we want to deploy more mobile network tests for OONI and better visualizations of our data so that others can easily explore and learn from them, and we continue to improve user experience on our apps. Keep an eye on this blog as we develop this work!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/global-south">
          global south
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-179968"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-179968" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 17, 2016</p>
    </div>
    <a href="#comment-179968">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-179968" class="permalink" rel="bookmark">Thanks so much for posting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks so much for posting this!</p>
<p>Protecting the ability of ordinary people to communicate and the ability of journalists to report freely on political and epidemiological dangers which affect (at least indirectly) the entire Western Hemisphere is one of the most important things any human/civil rights type organization can do.  The amazing thing is that this is just one of the essential things which require Tor.  Or a small number of other highly endangered technical means, including WhatsApp, which enable us to read uncensored news and communicate what is really happening in Brazil, China, USA, France, East Africa, &amp;c.</p>
<p>Thanks to everyone at Tor Project for all your hard work--- Tor is making an enormous positive difference in the world at a time when almost everything else seems to be falling apart!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-180118"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180118" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 18, 2016</p>
    </div>
    <a href="#comment-180118">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180118" class="permalink" rel="bookmark">Portuguese:
Não só o</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Portuguese:</p>
<p>Não só o bloqueio do Whatsapp me preocupa, mas também a CPI dos crimes cibernéticos pode colocar a liberdade dos brasileiros na internet em risco.</p>
<p>English by Google Translate:</p>
<p>Not only blocking Whatsapp worries me, but the CPI of cyber crimes can put freedom of brazilians on the internet at risk.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-181298"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-181298" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 25, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-180118" class="permalink" rel="bookmark">Portuguese:
Não só o</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-181298">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-181298" class="permalink" rel="bookmark">To avoid misinterpretations:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>To avoid misinterpretations: "CPI" = " Parliamentary Investigation Committee" in English.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-180247"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180247" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 19, 2016</p>
    </div>
    <a href="#comment-180247">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180247" class="permalink" rel="bookmark">Excellent work team Tor in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Excellent work team Tor in giving humanity a chance to voice themselves!</p>
<p>Namaste,<br />
imu.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-180645"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180645" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 21, 2016</p>
    </div>
    <a href="#comment-180645">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180645" class="permalink" rel="bookmark">Hey there friend,
Thank you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey there friend,</p>
<p>Thank you for this post. Even though I already knew about the Tor Project, it was only with the blockage that Orbot got in my radar. I've been using it ever since and also discovered Orfox, but it's still in beta.</p>
<p>There is something wrong with the images, I cannot see them here or with the Internet Archive.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-181093"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-181093" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isabela
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isabela said:</p>
      <p class="date-time">May 24, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-180645" class="permalink" rel="bookmark">Hey there friend,
Thank you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-181093">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-181093" class="permalink" rel="bookmark">Nice that you are using</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nice that you are using Orbot now! Sorry about the images, was a temporary problem. Should be all good now!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-180800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 22, 2016</p>
    </div>
    <a href="#comment-180800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180800" class="permalink" rel="bookmark">And ISA, how many other</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>And ISA, how many other brazilians just moved to Signal?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-181092"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-181092" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isabela
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isabela said:</p>
      <p class="date-time">May 24, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-180800" class="permalink" rel="bookmark">And ISA, how many other</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-181092">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-181092" class="permalink" rel="bookmark">We don&#039;t know this number.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We don't know this number. But I think the app that got more 'whatsapp' users was Telegram. But I believe is just because people are more aware of it than the other options.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-180981"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-180981" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 23, 2016</p>
    </div>
    <a href="#comment-180981">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-180981" class="permalink" rel="bookmark">Thanks for this update,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for this update, isabela. It  must be gratifying to be a part of helping to provide an medium to circumvent Internet oppression. </p>
<p>I was wondering, though, if as a result of the increased downloads of Orbot, was there a similar increase in downloads of TOR Browser?</p>
<p>Thanks for your time. And the fine works of the TOP Project!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-181091"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-181091" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isabela
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isabela said:</p>
      <p class="date-time">May 24, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-180981" class="permalink" rel="bookmark">Thanks for this update,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-181091">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-181091" class="permalink" rel="bookmark">Thanks! I only looked at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks! I only looked at Orbot for this one, since most people would be on mobile.</p>
<p>We are working on making it easier for us to know the download information for Tor Browser, right now we don't have an easy way to look at it either.</p>
<p>But soon we will fix that!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-183109"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-183109" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 31, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to isabela</p>
    <a href="#comment-183109">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-183109" class="permalink" rel="bookmark">hm and how can it help</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hm and how can it help privacy of tor users? why do you need that data? why do you want to fix it? are all the other tor problems solved?<br />
or who order you to fill such reports?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-183107"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-183107" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 31, 2016</p>
    </div>
    <a href="#comment-183107">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-183107" class="permalink" rel="bookmark">fine but all orbot users</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>fine but all orbot users over the world are now in nsa files through google.nsa!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-183537"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-183537" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 01, 2016</p>
    </div>
    <a href="#comment-183537">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-183537" class="permalink" rel="bookmark">como puedo descargar tor </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>como puedo descargar tor  ayuda porfavor</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-183981"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-183981" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  isabela
  </article>
    <div class="comment-header">
      <p class="comment__submitted">isabela said:</p>
      <p class="date-time">June 03, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-183537" class="permalink" rel="bookmark">como puedo descargar tor </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-183981">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-183981" class="permalink" rel="bookmark">Hola,
Se puede descargar Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hola,<br />
Se puede descargar Tor para desktop aca:<br />
<a href="https://www.torproject.org/download/download-easy.html.en" rel="nofollow">https://www.torproject.org/download/download-easy.html.en</a></p>
<p>Es possible bajar una version en Espanol, solo tienes que seleccionar el idioma en el dropdown menu.</p>
<p>Y Orbot, el cliente de vpn Tor para Android, se puede descargar desde aca:<br />
<a href="https://play.google.com/store/apps/details?id=org.torproject.android&amp;hl=es" rel="nofollow">https://play.google.com/store/apps/details?id=org.torproject.android&amp;hl…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-184278"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-184278" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 04, 2016</p>
    </div>
    <a href="#comment-184278">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-184278" class="permalink" rel="bookmark">Hi, 
Congrats on the amazing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, </p>
<p>Congrats on the amazing work. Could you make a version of Orbot for iPhone?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
